:root {
  font-family: "Source Sans Pro";

  width: 1040px;
  max-width: 95%;
  margin: 0 auto;

  padding: 60px 0 0 0;

  color: var(--black);

  /* Colors from https://app.zeplin.io/project/5f2c114a50861487f6786fd9/styleguide/colors */
  --color-primary: #17affa;
  --block-background-color: #e6f1f6;
  --color-inactive-text: #999999;
  --shadow-colour-2: rgba(216, 216, 216, 0.7);
  --white-2: #ffffff;
  --error: #d33636;
  --error-fields: #fff6f6;
  --error-background: var(--error-fields);
  --error-border: #721c24;
  --header-2: #17273e;
  --black: #333333;
  --light-grey: #eeeded;

  /* No longer in zeplin but still in use */
  --white: #ffffff;
}

input,
select,
textarea {
  width: 100%;
  font-size: 18px;
  background-color: white;

  height: 56px;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 26px;
  &::placeholder {
    color: var(--color-inactive-text);
    opacity: 1;
  }
}

:matches(input, select, textarea):focus {
  outline: 2px solid var(--color-primary);
}

select {
  background-image: url("../img/caret.svg");
  background-repeat: no-repeat;
  background-size: 13px 8px;
  background-position-y: calc(100% - 22px);
  background-position-x: calc(100% - 20px);
  padding-right: 38px;
}

select.small {
  height: 40px;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 22px;
  background-position-y: calc(100% - 14px);
}

select:invalid {
  color: var(--color-inactive-text);
  & option {
    color: black;
  }
}

.main {
  width: 1040px;
  max-width: 95%;
  margin: 0 auto;
}

.header {
  margin-left: 40px;
  margin-right: 40px;
  margin-bottom: 15px;
}

h1 {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 36px;
  color: var(--color-primary);
  margin-bottom: 16px;
}

h2 {
  font-size: 22px;
  font-weight: bold;
}

a {
  color: var(--color-primary);
}

.superbold {
  font-weight: bold;
  font-size: 27px;
  margin-bottom: 1.1em;
}

fieldset {
  padding: 15px 40px;
  margin-bottom: 60px;
  background-color: var(--block-background-color);
  border-radius: 10px;
  border: 0;
  & h2 {
    margin-bottom: 7px;
  }
}

.fields {
  display: grid;
  grid-template-columns: repeat(2, calc(50% - 20px));

  & .field {
    min-width: 300px;
    grid-column: span 2;
    &.narrow {
      min-width: 150px;
      grid-column: span 1;
    }
  }

  @media (min-width: 800px) {
    grid-template-columns: repeat(4, calc(25% - 30px));
    & .field.wide {
      grid-column: span 4;
    }
  }

  grid-row-gap: 35px;
  grid-column-gap: 40px;
}

.tooltip-container {
  position: relative;
}

.tooltip[aria-hidden="true"] {
  display: none;
}
.tooltip[aria-hidden="false"] {
  display: block;
}
.tooltip {
  font-size: 14px;
  position: absolute;
  background: black;
  padding: 10px 20px;
  color: #fff;
  border-radius: 7px;
  background-clip: padding-box;
  top: 10px;
  text-align: center;
  text-decoration: none;
  box-shadow: 0 0 3px #000;
  z-index: 9999;
}

.other-certificate {
  margin-top: 10px;
  &[aria-hidden="true"] {
    display: none;
  }
  &[aria-hidden="false"] {
    display: block;
  }
}

.field {
  min-height: 106px;
  min-width: 150px;
}
/* This is a workaround to align the inputs if there is content between the label and the input tag.
 * Ideally we would use subgrid, but browser support when :( */
.field {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

label {
  display: block;
  font-size: 18px;
  font-weight: 600;
}

.selectElements {
  display: grid;
  justify-content: space-between;
  grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
  grid-column-gap: 30px;

  & .selectElement {
    min-width: 300px;
    margin: 25px 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;

    & label {
      white-space: nowrap;
    }

    & .select {
      position: relative;

      & select {
        margin-left: 5px;
        width: max-content;
      }
    }
  }
}

.buttons {
  display: flex;
  justify-content: flex-end;
}

input.button {
  background-color: var(--color-primary);
  height: auto;
  padding: 8px 32px 4px 32px;
  border-radius: 5px;
  font-size: 22px;
  color: white;
  flex-grow: 0;
  width: min-content;
}

/* I would love to move this into choices.lit.css, but I don't know how.
 * See https://github.com/bennypowers/lit-css-loader/issues/8
 */
.choices[data-type*="select-multiple"] .choices__inner {
  background-image: url("/img/caret.svg");
}
